DutchTreat/Controllers/AppController.cs
using DutchTreat.Data;
using DutchTreat.Services;
using DutchTreat.ViewModels;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace DutchTreat.Controllers
{
    public class AppController : Controller
    {
        private readonly IMailService _mailService;
        private readonly IDutchRepository _repository;

        public AppController(IMailService mailService, IDutchRepository repository)
        {
            _mailService = mailService;
            _repository = repository;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpGet("contact")]
        public IActionResult Contact()
        {
            return View();
        }

        [HttpPost("contact")]
        public IActionResult Contact(ContactViewModel model)
        {
            if (ModelState.IsValid)
            {
                // Send the email
                _mailService.SendMessage("shawn@wildermuth.com", model.Subject, $"From: {model.Name} - {model.Email}, Message: {model.Message}");
                ViewBag.UserMessage = "Mail Sent";
                ModelState.Clear();
            }

            return View();
        }

        public IActionResult About()
        {
            ViewBag.Title = "About Us";

            return View();
        }

        public IActionResult Shop()
        {
            return View();
        }
    }
}

DutchTreat/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Dutch Treat: @ViewBag.Title</title>
  <environment names="Development">
    <link href="~/lib/bootstrap/css/bootstrap.css" rel="stylesheet" />
    <link href="~/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="~/css/site.css" rel="stylesheet" />
  </environment>
  <environment names="Staging, Production">
    <link href="~/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/lib/font-awesome/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/css/site.css" rel="stylesheet" />
  </environment>
</head>
<body>
  <div class="navbar navbar-inverse">
    <header class="container">
      <div class="navbar-header">
        <div class="navbar-brand"><i class="fa fa-paint-brush"></i> Dutch Treat</div>
        <button class="navbar-toggle" data-toggle="collapse" data-target="#menu">&#9776;</button>
      </div>
      <div id="menu" class="collapse navbar-collapse">
        <ul class="nav navbar-nav">
          <li><a asp-controller="App" asp-action="Index">Home</a></li>
          <li><a asp-controller="App" asp-action="Contact">Contact</a></li>
          <li><a asp-controller="App" asp-action="About">About</a></li>
          <li><a asp-controller="App" asp-action="Shop">Shop</a></li>
          @if (User.Identity.IsAuthenticated)
          {
            <li><a asp-controller="Account" asp-action="Logout">Logout</a></li>
          }
          else
          {
            <li><a asp-controller="Account" asp-action="Login">Login</a></li>
          }
        </ul>
      </div>
    </header>
  </div>
  <section class="container">
    <h2 class="text-center">@ViewBag.Title</h2>
    @RenderBody()
  </section>
  <footer class="container">
    <div class="text-center">Copyright 2018</div>
  </footer>

  <environment names="Development">
    <script src="~/lib/jquery/jquery.min.js"></script>
    <script src="~/lib/bootstrap/js/bootstrap.min.js"></script>
    <script src="~/js/index.js"></script>
  </environment>
  <environment names="Staging,Production">
    <script src="//ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"
            asp-fallback-src="~/lib/jquery/jquery.min.js"
            asp-fallback-test="window.jQuery"></script>
    <script src="//ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
            asp-fallback-src="~/lib/bootstrap/js/bootstrap.min.js"
            asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"></script>
    <script src="~/lib/site/dutchTreat.min.js" asp-append-version="true"></script>
  </environment>
  @RenderSection("scripts", false)
</body>
</html>